package com.heyu.api.data.service.impl.map;
/**
* <p>
* 地图地名记录，说明 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.map.MapAddrInfoDao;
import com.heyu.api.data.entity.map.MapAddrInfoEntity;
import com.heyu.api.data.service.map.MapAddrInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class MapAddrInfoServiceImpl extends ServiceImpl<MapAddrInfoDao, MapAddrInfoEntity> implements MapAddrInfoService {


    @Autowired
	private MapAddrInfoDao mapAddrInfoDao;



	@Override
	public MapAddrInfoEntity selectMapAddrInfoById(Long id){
		return mapAddrInfoDao.selectMapAddrInfoById(id);
	}



	@Override
	public Long insertMapAddrInfo(MapAddrInfoEntity mapAddrInfo){
		return mapAddrInfoDao.insertMapAddrInfo(mapAddrInfo);
	}



	@Override
	public Long insertOrUpdateMapAddrInfo(MapAddrInfoEntity mapAddrInfo){
		return mapAddrInfoDao.insertOrUpdateMapAddrInfo(mapAddrInfo);
	}



	@Override
	public int updateMapAddrInfoById(MapAddrInfoEntity mapAddrInfo){
		return mapAddrInfoDao.updateMapAddrInfoById(mapAddrInfo);
	}



	@Override
	public int updateCoverMapAddrInfoById(MapAddrInfoEntity mapAddrInfo){
		return mapAddrInfoDao.updateCoverMapAddrInfoById(mapAddrInfo);
	}



	@Override
	public int deleteMapAddrInfoById(Long id){
		return mapAddrInfoDao.deleteMapAddrInfoById(id);
	}



}
